Debian Bug report logs - #598196
debian-cd: more patches for documentation

version graph

Package: debian-cd; Maintainer for debian-cd is Debian CD Group <debian-cd@lists.debian.org>; Source for debian-cd is src:debian-cd.

Reported by: Karl Goetz <karl@kgoetz.id.au>

Date: Mon, 27 Sep 2010 12:00:02 UTC

Severity: minor

Tags: patch

Found in version debian-cd/3.1.1

Fixed in version debian-cd/3.1.4

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#598196; Package debian-cd. (Mon, 27 Sep 2010 12:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
New Bug report received and forwarded. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Mon, 27 Sep 2010 12:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-cd: more patches for documentation
Date: Mon, 27 Sep 2010 21:27:56 +0930
[Message part 1 (text/plain, inline)]
Package: debian-cd
Version: 3.1.1
Severity: minor
Tags: patch


This is the last patch from the 'queries about CONF.sh and README'
thread last month.
This changes comments on CONF.sh, but *also* a config default change in
tools/sort_deps. The CONF.sh comments change is dependant on the tools/
sort_deps, so probably worth viewing that first.
Basically, I changed the default value for nosuggests from 1 to 0.
Comments in CONF.sh are updated to match.

PS:
Version is wrong - it also happens in svn ;)

thanks,
kk

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30.7-libre-fshoppe1 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages debian-cd depends on:
ii  apt                  0.7.20.2+lenny2gns1 Advanced front-end for dpkg
ii  bc                   1.06.94-3           The GNU bc arbitrary precision cal
ii  cpp                  4:4.3.2-2           The GNU C preprocessor (cpp)
ii  curl                 7.18.2-8lenny4      Get a file from an HTTP, HTTPS or 
ii  dctrl-tools [grep-dc 2.13.1              Command-line tools to process Debi
ii  genisoimage          9:1.1.9-1           Creates ISO-9660 CD-ROM filesystem
ii  libcompress-zlib-per 2.012-1             Perl module for creation and manip
ii  lynx-cur             2.8.7dev9-2.1       Text-mode WWW Browser with NLS sup
ii  make                 3.81-5              The GNU version of the "make" util
ii  perl [libdigest-md5- 5.10.0-19lenny2     Larry Wall's Practical Extraction 
ii  tofrodos             1.7.8.debian.1-1    Converts DOS <-> Unix text files, 

Versions of packages debian-cd recommends:
pn  hfsutils                      <none>     (no description available)
pn  netpbm                        <none>     (no description available)
pn  syslinux-common               <none>     (no description available)

debian-cd suggests no packages.

-- no debconf information
[try-to-clarify-recomments-and-suggests.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#598196; Package debian-cd. (Mon, 27 Sep 2010 12:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Mon, 27 Sep 2010 12:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 598196@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: 598196@bugs.debian.org
Subject: Re: Bug#598196: Acknowledgement (debian-cd: more patches for documentation)
Date: Mon, 27 Sep 2010 21:32:01 +0930
[Message part 1 (text/plain, inline)]
On Mon, 27 Sep 2010 12:00:05 +0000
owner@bugs.debian.org (Debian Bug Tracking System) wrote:

> Thank you for filing a new Bug report with Debian.
> 
> This is an automatically generated reply to let you know your message
> has been received.
> 

Then here are my other two patches.
kk


-- 
Karl Goetz, (Kamping_Kaiser / VK5FOSS)
Debian contributor / gNewSense Maintainer
http://www.kgoetz.id.au
No, I won't join your social networking group
[fix-logic-for-params-test.diff (text/x-patch, attachment)]
[rewordings-and-setting-move.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#598196; Package debian-cd. (Mon, 27 Sep 2010 21:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Mon, 27 Sep 2010 21:03:08 GMT) Full text and rfc822 format available.

Message #15 received at 598196@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Karl Goetz <karl@kgoetz.id.au>, 598196@bugs.debian.org
Subject: Re: Bug#598196: debian-cd: more patches for documentation
Date: Mon, 27 Sep 2010 21:57:14 +0100
On Mon, Sep 27, 2010 at 09:27:56PM +0930, Karl Goetz wrote:
>Package: debian-cd
>Version: 3.1.1
>Severity: minor
>Tags: patch
>
>This is the last patch from the 'queries about CONF.sh and README'
>thread last month.
>This changes comments on CONF.sh, but *also* a config default change in
>tools/sort_deps. The CONF.sh comments change is dependant on the tools/
>sort_deps, so probably worth viewing that first.
>Basically, I changed the default value for nosuggests from 1 to 0.
>Comments in CONF.sh are updated to match.

Hmmm. Why change the default?

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Is there anybody out there?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#598196; Package debian-cd. (Mon, 27 Sep 2010 21:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Mon, 27 Sep 2010 21:12:05 GMT) Full text and rfc822 format available.

Message #20 received at 598196@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Karl Goetz <karl@kgoetz.id.au>, 598196@bugs.debian.org
Subject: Re: Bug#598196: Acknowledgement (debian-cd: more patches for documentation)
Date: Mon, 27 Sep 2010 22:08:43 +0100
On Mon, Sep 27, 2010 at 09:32:01PM +0930, Karl Goetz wrote:
>On Mon, 27 Sep 2010 12:00:05 +0000
>owner@bugs.debian.org (Debian Bug Tracking System) wrote:
>
>> Thank you for filing a new Bug report with Debian.
>> 
>> This is an automatically generated reply to let you know your message
>> has been received.
>
>Then here are my other two patches.
>kk
>
>-- 
>Karl Goetz, (Kamping_Kaiser / VK5FOSS)
>Debian contributor / gNewSense Maintainer
>http://www.kgoetz.id.au
>No, I won't join your social networking group

>=== modified file 'build.sh'
>--- build.sh	2010-05-27 13:33:26 +0000
>+++ build.sh	2010-07-30 13:16:00 +0000
>@@ -13,8 +13,8 @@
>     export COMPLETE=1
> fi
> 
>-if [ $# -gt 1 ] ; then
>-    echo "ERROR: too many arguments." >&2
>+if [ $1 -ne 1 ] ; then
>+    echo "ERROR: Invalid number of arguments." >&2
>     exit 1
> elif [ -n "$1" ] ; then
>     export ARCHES="$1"

Hmmmm. What are you trying to do here? $1 isn't the number of arguments!?!

>=== modified file 'CONF.sh'
>--- CONF.sh	2010-07-09 11:54:19 +0000
>+++ CONF.sh	2010-07-30 13:03:54 +0000
>@@ -181,8 +181,8 @@
> # them too
> export MAX_PKG_SIZE=600000000
> 
>-# uncoment this to make build_all.sh try to build a simple CD image if
>-# the proper official CD run does not work
>+# Should build_all.sh try to build a simple CD image if the proper official
>+# CD run does not work?
> ATTEMPT_FALLBACK=yes
> 
> # Set your disk type here. Known types are:
>@@ -357,14 +357,14 @@
> # If so we will link to them on the web site.
> export OMIT_RELEASE_NOTES=1
> 
>+# Set this to override the default location
>+#export RELEASE_NOTES_LOCATION="http://www.debian.org/releases/$CODENAME"
>+
> # Set to 1 to not include the doc/tools directories on CD1
> # Useful to save space and avoids failures if you have a mirror
> # without those directories.
> #export OMIT_DOC_TOOLS=1
> 
>-# Set this to override the default location
>-#export RELEASE_NOTES_LOCATION="http://www.debian.org/releases/$CODENAME"
>-
> case "$OFFICIAL" in
>     "Official")
> 	export OFFICIAL_VAL=2

OK. The change for ATTEMPT_FALLBACK is good, thanks. But why have you
moved the RELEASE_NOTES_LOCATION setting? Harmless, but...

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"...In the UNIX world, people tend to interpret `non-technical user'
 as meaning someone who's only ever written one device driver." -- Daniel Pead





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#598196; Package debian-cd. (Wed, 29 Sep 2010 12:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Wed, 29 Sep 2010 12:00:03 GMT) Full text and rfc822 format available.

Message #25 received at 598196@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: debian-cd@lists.debian.org
Cc: Steve McIntyre <steve@einval.com>, 598196@bugs.debian.org
Subject: Re: Bug#598196: Acknowledgement (debian-cd: more patches for documentation)
Date: Wed, 29 Sep 2010 20:11:12 +0930
[Message part 1 (text/plain, inline)]
On Mon, 27 Sep 2010 22:08:43 +0100
Steve McIntyre <steve@einval.com> wrote:

> On Mon, Sep 27, 2010 at 09:32:01PM +0930, Karl Goetz wrote:
> >On Mon, 27 Sep 2010 12:00:05 +0000
> >owner@bugs.debian.org (Debian Bug Tracking System) wrote:

> >=== modified file 'build.sh'
> >--- build.sh	2010-05-27 13:33:26 +0000
> >+++ build.sh	2010-07-30 13:16:00 +0000
> >@@ -13,8 +13,8 @@
> >     export COMPLETE=1
> > fi
> > 
> >-if [ $# -gt 1 ] ; then
> >-    echo "ERROR: too many arguments." >&2
> >+if [ $1 -ne 1 ] ; then
> >+    echo "ERROR: Invalid number of arguments." >&2
> >     exit 1
> > elif [ -n "$1" ] ; then
> >     export ARCHES="$1"
> 
> Hmmmm. What are you trying to do here? $1 isn't the number of
> arguments!?!

Hm, My reading of the readme.html as that ARCHES was the architecture
build.sh was accepting for this run. I've just grepped through the
source tree and noticed 'docs/running.html:<p><code>build.sh "i386 amd64
powerpc"</code></p>', which indicates my reading is wrong :).

> >=== modified file 'CONF.sh'
> >--- CONF.sh	2010-07-09 11:54:19 +0000
> >+++ CONF.sh	2010-07-30 13:03:54 +0000
> >@@ -181,8 +181,8 @@
> > # them too
> > export MAX_PKG_SIZE=600000000
> > 
> >-# uncoment this to make build_all.sh try to build a simple CD image
> >if -# the proper official CD run does not work
> >+# Should build_all.sh try to build a simple CD image if the proper
> >official +# CD run does not work?
> > ATTEMPT_FALLBACK=yes
> > 
> > # Set your disk type here. Known types are:
> >@@ -357,14 +357,14 @@
> > # If so we will link to them on the web site.
> > export OMIT_RELEASE_NOTES=1
> > 
> >+# Set this to override the default location
> >+#export
> >RELEASE_NOTES_LOCATION="http://www.debian.org/releases/$CODENAME" +
> > # Set to 1 to not include the doc/tools directories on CD1
> > # Useful to save space and avoids failures if you have a mirror
> > # without those directories.
> > #export OMIT_DOC_TOOLS=1
> > 
> >-# Set this to override the default location
> >-#export
> >RELEASE_NOTES_LOCATION="http://www.debian.org/releases/$CODENAME" -
> > case "$OFFICIAL" in
> >     "Official")
> > 	export OFFICIAL_VAL=2
> 
> OK. The change for ATTEMPT_FALLBACK is good, thanks. But why have you

phew.

> moved the RELEASE_NOTES_LOCATION setting? Harmless, but...

keeping the release notes in one place.
kk

-- 
Karl Goetz, (Kamping_Kaiser / VK5FOSS)
Debian contributor / gNewSense Maintainer
http://www.kgoetz.id.au
No, I won't join your social networking group
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#598196; Package debian-cd. (Wed, 29 Sep 2010 12:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Wed, 29 Sep 2010 12:00:05 GMT) Full text and rfc822 format available.

Message #30 received at 598196@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: Steve McIntyre <steve@einval.com>, 598196@bugs.debian.org
Cc: 598196@bugs.debian.org
Subject: Re: Bug#598196: debian-cd: more patches for documentation
Date: Wed, 29 Sep 2010 19:58:51 +0930
[Message part 1 (text/plain, inline)]
On Mon, 27 Sep 2010 21:57:14 +0100
Steve McIntyre <steve@einval.com> wrote:

> On Mon, Sep 27, 2010 at 09:27:56PM +0930, Karl Goetz wrote:
> >Package: debian-cd
> >Version: 3.1.1
> >Severity: minor
> >Tags: patch
> >
> >This is the last patch from the 'queries about CONF.sh and README'
> >thread last month.
> >This changes comments on CONF.sh, but *also* a config default change
> >in tools/sort_deps. The CONF.sh comments change is dependant on the
> >tools/ sort_deps, so probably worth viewing that first.
> >Basically, I changed the default value for nosuggests from 1 to 0.
> >Comments in CONF.sh are updated to match.
> 
> Hmmm. Why change the default?
> 

It was so that both options 'behave the same'. Specifically, both
settings about pulling in dependencies have the same default which is
then overriden by the config file (in the same way). Looking at the
diff again, it looks like i changed recommends instead of suggests -
oops.
It was meant to be 
+my $nosuggests = $ENV{'NOSUGGESTS'} || 0;
-my $nosuggests = $ENV{'NOSUGGESTS'} || 1;

hope that explains :)
kk

-- 
Karl Goetz, (Kamping_Kaiser / VK5FOSS)
Debian contributor / gNewSense Maintainer
http://www.kgoetz.id.au
No, I won't join your social networking group
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#598196; Package debian-cd. (Wed, 29 Sep 2010 13:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Wed, 29 Sep 2010 13:09:07 GMT) Full text and rfc822 format available.

Message #35 received at 598196@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Karl Goetz <karl@kgoetz.id.au>
Cc: debian-cd@lists.debian.org, 598196@bugs.debian.org
Subject: Re: Bug#598196: Acknowledgement (debian-cd: more patches for documentation)
Date: Wed, 29 Sep 2010 14:04:16 +0100
On Wed, Sep 29, 2010 at 08:11:12PM +0930, Karl Goetz wrote:
>On Mon, 27 Sep 2010 22:08:43 +0100
>Steve McIntyre <steve@einval.com> wrote:
>
>> On Mon, Sep 27, 2010 at 09:32:01PM +0930, Karl Goetz wrote:
>> >On Mon, 27 Sep 2010 12:00:05 +0000
>> >owner@bugs.debian.org (Debian Bug Tracking System) wrote:
>
>> >=== modified file 'build.sh'
>> >--- build.sh	2010-05-27 13:33:26 +0000
>> >+++ build.sh	2010-07-30 13:16:00 +0000
>> >@@ -13,8 +13,8 @@
>> >     export COMPLETE=1
>> > fi
>> > 
>> >-if [ $# -gt 1 ] ; then
>> >-    echo "ERROR: too many arguments." >&2
>> >+if [ $1 -ne 1 ] ; then
>> >+    echo "ERROR: Invalid number of arguments." >&2
>> >     exit 1
>> > elif [ -n "$1" ] ; then
>> >     export ARCHES="$1"
>> 
>> Hmmmm. What are you trying to do here? $1 isn't the number of
>> arguments!?!
>
>Hm, My reading of the readme.html as that ARCHES was the architecture
>build.sh was accepting for this run. I've just grepped through the
>source tree and noticed 'docs/running.html:<p><code>build.sh "i386 amd64
>powerpc"</code></p>', which indicates my reading is wrong :).

:-) OK. NAK on this patch then.

>> >=== modified file 'CONF.sh'
>> >--- CONF.sh	2010-07-09 11:54:19 +0000
>> >+++ CONF.sh	2010-07-30 13:03:54 +0000
>> >@@ -181,8 +181,8 @@
>> > # them too
>> > export MAX_PKG_SIZE=600000000
>> > 
>> >-# uncoment this to make build_all.sh try to build a simple CD image
>> >if -# the proper official CD run does not work
>> >+# Should build_all.sh try to build a simple CD image if the proper
>> >official +# CD run does not work?
>> > ATTEMPT_FALLBACK=yes
>> > 
>> > # Set your disk type here. Known types are:
>> >@@ -357,14 +357,14 @@
>> > # If so we will link to them on the web site.
>> > export OMIT_RELEASE_NOTES=1
>> > 
>> >+# Set this to override the default location
>> >+#export
>> >RELEASE_NOTES_LOCATION="http://www.debian.org/releases/$CODENAME" +
>> > # Set to 1 to not include the doc/tools directories on CD1
>> > # Useful to save space and avoids failures if you have a mirror
>> > # without those directories.
>> > #export OMIT_DOC_TOOLS=1
>> > 
>> >-# Set this to override the default location
>> >-#export
>> >RELEASE_NOTES_LOCATION="http://www.debian.org/releases/$CODENAME" -
>> > case "$OFFICIAL" in
>> >     "Official")
>> > 	export OFFICIAL_VAL=2
>> 
>> OK. The change for ATTEMPT_FALLBACK is good, thanks. But why have you
>
>phew.
>
>> moved the RELEASE_NOTES_LOCATION setting? Harmless, but...
>
>keeping the release notes in one place.

OK, cool. Applied in svn now.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"I suspect most samba developers are already technically insane... Of
 course, since many of them are Australians, you can't tell." -- Linus Torvalds





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#598196; Package debian-cd. (Wed, 29 Sep 2010 15:25:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Wed, 29 Sep 2010 15:25:36 GMT) Full text and rfc822 format available.

Message #40 received at 598196@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 598196@bugs.debian.org
Subject: Re: debian-cd: more patches for documentation
Date: Wed, 29 Sep 2010 17:16:54 +0200
[Karl Goetz]
> It was so that both options 'behave the same'. Specifically, both
> settings about pulling in dependencies have the same default which
> is then overriden by the config file (in the same way). Looking at
> the diff again, it looks like i changed recommends instead of
> suggests - oops.
> It was meant to be 
> +my $nosuggests = $ENV{'NOSUGGESTS'} || 0;
> -my $nosuggests = $ENV{'NOSUGGESTS'} || 1;
> 
> hope that explains :)

I believe the build should handle recommends and suggests differently,
as apt will install recommends by defaults but not suggests.  Because
of this, I believe it is important for debian-cd to include recommends
on the CD and DVD by default, to make sure installs from the net and
from CD/DVD behave more the same (ie will install the same packages).

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#598196; Package debian-cd. (Thu, 07 Oct 2010 13:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. (Thu, 07 Oct 2010 13:09:06 GMT) Full text and rfc822 format available.

Message #45 received at 598196@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 598196@bugs.debian.org
Subject: Re: Bug#598196: debian-cd: more patches for documentation
Date: Thu, 7 Oct 2010 15:04:28 +0200
On Wed, 29 Sep 2010, Petter Reinholdtsen wrote:
> 
> [Karl Goetz]
> > It was so that both options 'behave the same'. Specifically, both
> > settings about pulling in dependencies have the same default which
> > is then overriden by the config file (in the same way). Looking at
> > the diff again, it looks like i changed recommends instead of
> > suggests - oops.
> > It was meant to be 
> > +my $nosuggests = $ENV{'NOSUGGESTS'} || 0;
> > -my $nosuggests = $ENV{'NOSUGGESTS'} || 1;
> > 
> > hope that explains :)
> 
> I believe the build should handle recommends and suggests differently,
> as apt will install recommends by defaults but not suggests.  Because
> of this, I believe it is important for debian-cd to include recommends
> on the CD and DVD by default, to make sure installs from the net and
> from CD/DVD behave more the same (ie will install the same packages).

+1 from me, I don't undertand/agree with the reasoning of the change and
would prefer that we kept the same good default.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer ◈ [Flattr=20693]

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Added tag(s) pending. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 31 Oct 2010 15:42:05 GMT) Full text and rfc822 format available.

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Sun, 14 Nov 2010 16:48:38 GMT) Full text and rfc822 format available.

Notification sent to Karl Goetz <karl@kgoetz.id.au>:
Bug acknowledged by developer. (Sun, 14 Nov 2010 16:48:38 GMT) Full text and rfc822 format available.

Message #52 received at 598196-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 598196-close@bugs.debian.org
Subject: Bug#598196: fixed in debian-cd 3.1.4
Date: Sun, 14 Nov 2010 16:47:07 +0000
Source: debian-cd
Source-Version: 3.1.4

We believe that the bug you reported is fixed in the latest version of
debian-cd, which is due to be installed in the Debian FTP archive:

debian-cd_3.1.4.dsc
  to main/d/debian-cd/debian-cd_3.1.4.dsc
debian-cd_3.1.4.tar.gz
  to main/d/debian-cd/debian-cd_3.1.4.tar.gz
debian-cd_3.1.4_all.deb
  to main/d/debian-cd/debian-cd_3.1.4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598196@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated debian-cd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 14 Nov 2010 15:37:24 +0000
Source: debian-cd
Binary: debian-cd
Architecture: source all
Version: 3.1.4
Distribution: unstable
Urgency: low
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 debian-cd  - Tools for building (Official) Debian CD set
Closes: 475243 514654 537368 571591 574879 587774 590993 592932 592933 593629 593914 593972 594267 598196 601189
Changes: 
 debian-cd (3.1.4) unstable; urgency=low
 .
   [ Frans Pop ]
   * Cleanup of packages included for bootable CDs (generate_d-i+k_list):
     - libsysfs2 workaround is no longer needed;
     - discover is no longer used anywhere;
     - include grub-legacy instead of grub;
     - pcmcia-cs has been fully replaced with pcmciautils.
   * Exclude udebs for X.Org-based version of the Graphical Installer.
   * Excluding reiserfs4 udebs is not needed for Squeeze.
   * Include pciutils on installation CDs.
   * Only include a symlink for the suite actually specified in the
     Release file. Closes: #590993
 .
   [ Karl Goetz ]
   * Rename log.sort_deps* to sort_deps*.log for better consistency.
     Closes: #571591
   * Minor tweaks to Debian packaging to make lintian happy.
     Closes: #592932
   * Minor whitespace/wording fixes for the README file. Closes: #592933
   * Change the default for NORECOMMENDS to 1 for consistency with
     NOSUGGESTS. Closes: #598196
   * Documentation patches
 .
   [ Steve McIntyre ]
   * Rename log.add_packages to add_packages.log
   * Add dependency on dpkg-dev for dpkg-architecture. Closes: #574879
   * Add support for forcing firmware packages onto CD#1:
     + Add "FORCE_FIRMWARE=1" to CONF.sh to turn this on
     + Will pick up on packages in the "firmware" task and install them
     + Will also add sym-links to them in CD1/firmware so that new d-i code
       can find them easily.
     + Will add a short sentence into README.html/README.txt
   * Add top-level control of which checksums are desired for output images
     see the CHECKSUMS setting in CONF.sh
   * Fix some bashisms in tools/apt-selection.
   * When generating both iso and jigdo files, make sure that the iso files
     are at least as new as the jigdo files, as this helps people mirroring.
     Closes: #587774
   * On release builds, use the full version number including all the dots
     (e.g. 6.0.0 for the squeeze release instead of 600).
   * Update loadlin kernel parameters to match d-i values. Thanks to Samuel
     Thibault for the patch. Closes: #594267
   * Fix support for alternative boot splash images. Thanks to Tony Awtrey
     for the patch. Closes: #537368
   * Include the acpi package for all x86 media types. Closes: #475243
   * Include the wpasupplicant package on netinsts and larger. Closes: #593914
   * Include kbd on first CD rather than console-tools. Closes: #514654
   * Added dedication to Frans Pop.
 .
   [ Ian Campbell ]
   * boot-x86: detect duplicates in the extra images used for installation
     and replace with hard links.
   * CONF.sh: Don't reset the value of $VARIANTS by default.
 .
   [ Aurelien Jarno ]
   * Add support for the kfreebsd ports. Closes: #593629
   * Add debian-ports-archive-keyring-udeb and
     emdebian-archive-keyring-udeb to the exclude list - they should be in
     the initrd already.
   * Don't exclude reiserfsprogs-udeb, as rescue-mode depends on it.
     Closes: #593972
 .
   [ Petter Reinholdtsen ]
   * Support replacing the g-i image with ones own image. Closes: #601189
 .
   [ Holger Levsen ]
   * Start work on Debian Edu images.
 .
   [ Otavio Salvador ]
   * squeeze: include zlib-modules for i386 images
Checksums-Sha1: 
 4aa94fd87bee8e35e763a094e235ed1def58140e 1652 debian-cd_3.1.4.dsc
 a45b6edd126921052945b27ba3d5e021afc3a1e4 903651 debian-cd_3.1.4.tar.gz
 0bdc19dc3d44c9923704ce3f5a5a753252be30f8 896782 debian-cd_3.1.4_all.deb
Checksums-Sha256: 
 7a3f7a43f66dbe62ed2e857f30008c206a36c38b8068ff60a854a52c952f7fef 1652 debian-cd_3.1.4.dsc
 863385c6a363bcdb7d4f003b927b1b358586adc07d44e391c4695f9cf2d67fc7 903651 debian-cd_3.1.4.tar.gz
 457137953bc16480d887b52d3c4daf59315bc7e2f181c2acb6f88fbcca0b7fc2 896782 debian-cd_3.1.4_all.deb
Files: 
 c778c398021f33fc67a26a1d643e7760 1652 admin extra debian-cd_3.1.4.dsc
 ed65f0a833d68c55d5a9a341caba7f77 903651 admin extra debian-cd_3.1.4.tar.gz
 03a3472c740dafd5478153609763b25e 896782 admin extra debian-cd_3.1.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM4BBCAAoJEFh5eVc0QmhOEMoP/jgiGNdi+TN6w09tsGzui3YB
FKcCSe9dEwd4dnpolgDiFM4d2BYzbpHk45DNfVzGZM9xEseFyNfUXWS34s6exzDa
fkMESrGj7VSK++jp2Xy/mXiG3HWbTgYPf+e3T8/SyCL3Lk0ae/k6Ri5siJYp1ZPv
DqBAsXGLTuhRpBwDUo7aN1G6BYJMHOOne0fyBC299JkE/RifZeBqhFsG5bP9Sx0+
R0E1Hg5PQC0NhFfWncn8yR0CdLDu6TVpSupN1hRrGvTAcJj5aE4re4LV9ZpEAsce
O4LjufTxAJjTgp2nAPslsPdM4vN8oQDmPj/mCu64owokoPhHlM3bkTkP2W4KkamI
x6n++SepNVGRmXmVw/AYyaWKhF5k94T4GAGdnX2d0Rh4NHNufOl882kbyMr8dihy
himoCriNCyp+NPNgjUn21BvKVD73JcBjAdFkt52oWb1Ka4IJtdPxS96+YjbUBsuD
YU/fUDJE22f1/JnYx6YZiY2ff2RdVD6hPA0BnwMti61Cm6KBpTyaA6uwZrPc6cXC
9KUi1pyOnyVNxD3k2ryQNUmU6IJE+VsuEmhedPkvSW/ANG4uO/82tjaKN/xOu5RZ
ob7owj2DQqZaJ7NBwKkZNX23/dlxXK5SP9pgK1//K+EQEMFq5rHLKeRyM/TSOhTa
B4BP+oJXKOhDSmsLAiMY
=hV6a
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 23 Dec 2010 07:37:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:20:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.